=== modified file 'CHANGELOG'
--- CHANGELOG	2014-10-09 21:53:50 +0000
+++ CHANGELOG	2014-10-13 20:13:24 +0000
@@ -1,7 +1,12 @@
 ChangeLog for conn-check-configs
 ================================
 
-1.0.3 (unreleased)
+1.0.4 (unreleased)
+------------------
+
+ - Made printing to STDOUT the default behaviour, removed -p/--print.
+
+1.0.3 (09-10-2014)
 ------------------
 
  - Added flag to output YAML to STDOUT.

=== modified file 'README.rst'
--- README.rst	2014-10-09 21:53:50 +0000
+++ README.rst	2014-10-13 20:13:24 +0000
@@ -23,7 +23,7 @@
  - ``-d``, ``--database-name``: the database schema name if not set as `NAME` in the Django settings.
  - ``--statsd-send``: Optional string to send with statsd checks (defaults to a conn-check specific metric).
  - ``--statsd-expect``: Optional response string to expect from a statsd check.
- - ``-P``, ``--print``: Optionally output to `stdout` rather than a file.
+ - ``-f``, ``output-file``: Optionally output to a file rather than ``STDOUT``.
 
  Followed by a path to the generated YAML file, for example::
 

=== modified file 'conn_check_configs/django.py'
--- conn_check_configs/django.py	2014-10-09 21:53:50 +0000
+++ conn_check_configs/django.py	2014-10-13 20:13:24 +0000
@@ -144,15 +144,10 @@
 
 def main(*args):
     parser = argparse.ArgumentParser()
-    output_group = parser.add_mutually_exclusive_group()
-    output_group.add_argument('-f', '--output-file',
+    parser.add_argument('-f', '--output-file',
                               dest='output_file',
                               required=False,
                               help='File path to save YAML config to')
-    output_group.add_argument('-P', '--print',
-                              dest="print",
-                              action="store_true",
-                              help='Output YAML config to STDOUT')
     parser.add_argument('-m', '--settings-module',
                         dest="settings_module",
                         action="store",
@@ -180,11 +175,11 @@
 
     output = yaml.dump(gather_checks(opts), default_flow_style=False)
 
-    if opts.print:
-        print(output, file=sys.stdout)
-    else:
+    if opts.output_file:
         with open(opts.output_file, 'w') as f:
             f.write(output)
+    else:
+        print(output, file=sys.stdout)
 
     return 0
 

=== modified file 'conn_check_configs/version.txt'
--- conn_check_configs/version.txt	2014-10-09 21:55:56 +0000
+++ conn_check_configs/version.txt	2014-10-13 20:13:24 +0000
@@ -1,1 +1,1 @@
-1.0.3
+1.0.4

